<?php

try {
  require_once("../admin/require.php");
  require_once("../require.php");

  //パラメータ取得
  $store_cd = $_GET['StoreAccount'];
  $code = $_GET['Code'];
  $stock = $_GET['Stock'];
  $ts = $_GET['ts'];
  $sig = $_GET['sig'];

  $result_str = '<?xml version="1.0" encoding="EUC-JP"?>';
  $result_str .= '<ShoppingUpdateStock version="1.0">';
  $result_str .= '<ResultSet TotalResult="1">';
  $result_str .= '<Request>';
  $result_str .= '<Argument Name="StoreAccount" Value="' . $store_cd . '" />';
  $result_str .= '<Argument Name="Code" Value="' . $code . '" />';
  $result_str .= '<Argument Name="Stock" Value="' . $stock . '" />';
  $result_str .= '<Argument Name="ts" Value="' . $ts . '" />';
  $result_str .= '<Argument Name="sig" Value="' . $sig . '" />';
  $result_str .= '</Request>';

  if (($store_cd == '') || ($code == '') || ($ts == '') || ($sig == '')) {
    $result_str .= '<Result No="1">';
    $result_str .= '<Processed>1</Processed>';
    $result_str .= '</Result>';
    $result_str .= '<Message>パラメータが不足しています[2.11c]</Message>';
  } else {
    //パラメータチェック
    $sign_array = array();
    array_push($sign_array, "StoreAccount=" . $store_cd);
    array_push($sign_array, "Code=" . $code);
    array_push($sign_array, "Stock=" . $stock);
    array_push($sign_array, "ts=" . $ts);
    $md5_data = md5(implode("&",$sign_array) . "1234567890");


//    if ($sig != $md5_data) {
//      $result_str .= '<Result No="1">';
//      $result_str .= '<Processed>1</Processed>';
//      $result_str .= '</Result>';
//      $result_str .= '<Message>認証に失敗:' . $md5_data . '</Message>';
//
//    } else {

      $objQuery = new SC_Query();
//////      $where = "product_code = '$code'";
      $where = "product_class_id = $code";
      $res = $objQuery->select("*","dtb_products_class",$where);

      if (count($res) == 0) {
        $result_str .= '<Result No="1">';
        $result_str .= '<Processed>1</Processed>';
        $result_str .= '</Result>';
        $result_str .= '<Message>該当の商品がありません[2.11c]</Message>';
      } else {

        $sqlval = array();

        if ($stock == '') {
          $sqlval['stock'] = null;
          $sqlval['stock_unlimited'] = 1;
        } else {
          $sqlval['stock'] = $stock;
          $sqlval['stock_unlimited'] = 0;
        }
//        $where = "product_code = '$code'";
        $where = "product_class_id = $code";
        $ret = $objQuery->update("dtb_products_class", $sqlval, $where);

        if ($ret == '1') {
          $result_str .= '<Result No="1">';
          $result_str .= '<Processed>0</Processed>';
          $result_str .= '</Result>';
        } else if ($ret == '0') {
          $result_str .= '<Result No="1">';
          $result_str .= '<Processed>0</Processed>';
          $result_str .= '</Result>';
        } else {
          $result_str .= '<Result No="1">';
          $result_str .= '<Processed>1</Processed>';
          $result_str .= '</Result>';
          $result_str .= '<Message>在庫数の更新に失敗しました[2.11c]</Message>';
        }
      }
//    }
  }

  $result_str .= '</ResultSet>';
  $result_str .= '</ShoppingUpdateStock>';

  print $result_str;

} catch (Exception $e){
  $errMsg = $e->getMessage();
  $result_str = '<?xml version="1.0" encoding="EUC-JP"?>';
  $result_str .= '<ShoppingUpdateStock version="1.0">';
  $result_str .= '<ResultSet TotalResult="1">';
  $result_str .= '<Request>';
  $result_str .= '<Argument Name="StoreAccount" Value="' . $store_cd . '" />';
  $result_str .= '<Argument Name="Code" Value="' . $code . '" />';
  $result_str .= '<Argument Name="Stock" Value="' . $stock . '" />';
  $result_str .= '<Argument Name=".ts" Value="' . $ts . '" />';
  $result_str .= '<Argument Name=".sig" Value="' . $sig . '" />';
  $result_str .= '</Request>';
  $result_str .= '<Result No="1">';
  $result_str .= '<Processed>1</Processed>';
  $result_str .= '</Result>';
  $result_str .= '<Message>' . $errMsg . '</Message>';
  $result_str .= '</ResultSet>';
  $result_str .= '</ShoppingUpdateStock>';

  print $result_str;
}
?>
